## visad.data.hdf5
Class HDF5FileAdapted

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5File
              visad.data.hdf5.HDF5FileAdapted

All Implemented Interfaces:
  Serializable

public class HDF5FileAdapted
extends HDF5File

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5FileAdapted(String filename, int flags, int access_id)` Opens an existing HDF5 file.
`HDF5FileAdapted(String filename, int flags, int create_id, int access_id)` Creates a new HDF5 file.

Method Summary
`Object` `getDataObject(int index)` Returns the data object with specified index
`int` `getObjectCount()` Returns the number of the data objects in the file
`void` `init()` initialize the HDF5FileAdapted: load the table of content of for the top level objects.

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5File
`finalize, loadTree`

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, setID, setShortName, setType, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5FileAdapted

    public HDF5FileAdapted(String filename,
                           int flags,
                           int create_id,
                           int access_id)
                    throws HDF5Exception

  Creates a new HDF5 file.

Parameters:
  `filename` - The name of the HDF5 file.
  `flags` - File access flags.
  `access_id` - File access property list identifier.

### HDF5FileAdapted

    public HDF5FileAdapted(String filename,
                           int flags,
                           int access_id)
                    throws HDF5Exception

  Opens an existing HDF5 file.

Parameters:
  `filename` - The name of the HDF5 file.
  `flags` - File access flags.
  `access_id` - File access property list identifier.

Method Detail

### init

    public void init()
              throws HDF5Exception

  initialize the HDF5FileAdapted: load the table of content of for the top level objects.

  Overrides:
    `init` in class `HDF5Object`
  Throws:
    `HDF5Exception`

### getObjectCount

    public int getObjectCount()

  Returns the number of the data objects in the file

### getDataObject

    public Object getDataObject(int index)

  Returns the data object with specified index